using System;
using System.Reflection;

internal sealed class Delegate80 : MulticastDelegate
{
	public extern MethodInfo Invoke(object object_0, string string_0, BindingFlags bindingFlags_0);

	public static MethodInfo smethod_0(object object_0, string string_0, BindingFlags bindingFlags_0, Delegate80 delegate80_1)
	{
		return delegate80_1(object_0, string_0, bindingFlags_0);
	}

	public extern Delegate80(object object_0, IntPtr intptr_0);

	static Delegate80()
	{
		Class10.smethod_13(typeof(Delegate80).TypeHandle);
	}

	internal static Delegate80 delegate80_0;
}
